package com.ym.mec.education.enums;

import com.ym.mec.common.enums.BaseEnum;

//职务类型（助教、主教）
public enum TeachTypeEnum implements BaseEnum<String, TeachTypeEnum> {
    TEACHING("TEACHING","助教"),
    BISHOP("BISHOP","主教");

    private String code;

    private String msg;

    TeachTypeEnum(String code, String msg) {
        this.code = code;
        this.msg = msg;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }

    @Override
    public String getCode() {
        return this.code;
    }
}
